Skip to main content
POST
Create a product
Learn more:
  • What is a product? ↗

Path Parameters

consumer_id
string<uuid>
required

Body

application/json
name
string
required

Name

Example:

"Consulting services"

unit_price
number | null

Unit price

Example:

100

tax_id
string | null

Technical id of the tax in Chift

Example:

"<invoicing-tax-id>"

code
string | null

Reference/code

Example:

"SKU-0001"

unit
string | null

Unit of measure matching target software name

Example:

"unit"

category
string | null

Category matching target software name

Example:

"Services"

currency
string | null

Currency matching target software name

Example:

"EUR"

description
string | null

Description

Example:

"Consulting services"

cost
number | null
default:0

Cost of the product

Example:

0

Response

Successful Response

id
string
required

Technical id in Chift

Example:

"<this-id>"

source_ref
Ref · object
required

Technical id in the target software

name
string
required

Name

Example:

"Consulting services"

unit_price
number | null

Unit price

Example:

100

tax_id
string | null

Technical id of the tax in Chift

Example:

"<invoicing-tax-id>"

code
string | null

Reference/code

Example:

"SKU-0001"

unit
string | null

Unit of measure matching target software name

Example:

"unit"

category
string | null

Category matching target software name

Example:

"Services"

currency
string | null

Currency matching target software name

Example:

"EUR"

description
string | null

Description

Example:

"Consulting services"

cost
number | null
default:0

Cost of the product

Example:

0

available_quantity
number | null
default:0

Available quanity of the product in stock. Will only be used for products that have an inventory (services will always be 0)